aboutsummaryrefslogtreecommitdiffstats
path: root/testing/gnu-libiconv/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2017-04-17 10:07:29 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2017-04-17 10:59:05 +0000
commitcbcc826544bb181d3d1ccbe5f7f3c45db569a4fb (patch)
tree930d90d0fabbe2e274009ece1c69466170a755e7 /testing/gnu-libiconv/APKBUILD
parent6152343081a57e2b96e7f4348f73ca73c0a41173 (diff)
downloadaports-cbcc826544bb181d3d1ccbe5f7f3c45db569a4fb.tar.gz
aports-cbcc826544bb181d3d1ccbe5f7f3c45db569a4fb.tar.bz2
aports-cbcc826544bb181d3d1ccbe5f7f3c45db569a4fb.tar.xz
testing/gnu-libiconv: new package
add gnu iconv implementation
Diffstat (limited to 'testing/gnu-libiconv/APKBUILD')
-rw-r--r--testing/gnu-libiconv/APKBUILD42
1 files changed, 42 insertions, 0 deletions
diff --git a/testing/gnu-libiconv/APKBUILD b/testing/gnu-libiconv/APKBUILD
new file mode 100644
index 0000000000..7c9330d4bf
--- /dev/null
+++ b/testing/gnu-libiconv/APKBUILD
@@ -0,0 +1,42 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=gnu-libiconv
+pkgver=1.15
+pkgrel=0
+pkgdesc="GNU charset conversion library for libc which doesn't implement it"
+url="http://www.gnu.org/software/libiconv"
+arch="all"
+license='LGPL'
+depends=""
+source="http://ftp.gnu.org/pub/gnu/libiconv/libiconv-$pkgver.tar.gz"
+subpackages="$pkgname-doc $pkgname-dev"
+
+builddir="$srcdir"/libiconv-$pkgver
+build() {
+ cd "$builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --mandir=/usr/share/man \
+ --disable-nls \
+ --disable-static \
+ || return 1
+ # work around rpath issue
+ sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
+ sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
+ make || return 1
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir/" install
+ rm "$pkgdir"/usr/lib/charset.alias
+
+ # move headers so they dont clash with libc headers
+ mkdir "$pkgdir"/usr/include/gnu-libiconv
+ mv "$pkgdir"/usr/include/*.h "$pkgdir"/usr/include/gnu-libiconv
+ mv "$pkgdir"/usr/bin/iconv "$pkgdir"/usr/bin/gnu-iconv
+
+}
+
+sha512sums="1233fe3ca09341b53354fd4bfe342a7589181145a1232c9919583a8c9979636855839049f3406f253a9d9829908816bb71fd6d34dd544ba290d6f04251376b1a libiconv-1.15.tar.gz"